#include<iostream>
#include<algorithm>
#include<cmath>

using namespace std;
int n,a[100000000],m,rez;
int main(){
    cin>>n>>m;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    sort(a+1,a+n+1);
    if(a[1]<m){
        rez+=abs(m-a[1]);
        m=a[1];
    }
    rez=a[n]-m;
    cout<<rez<<endl;



return 0;
}